# Note that this is NOT a relocatable package
%define ver      1.0.51
%define prefix   /usr

Summary: GNOME games
Name: gnome-games
Version: %ver
Release: 8mdk
Copyright: GPL
Group: Games/Other

Source: ftp://ftp.gnome.org/pub/gnome-games-%{PACKAGE_VERSION}.tar.bz2
Source1: gnome-games-po-1.0.2.tar.bz2
Source3: mdk.xpm
Source4: mdk_bw.xpm
Source5: %{name}
Source6: %{name}-icons.tar.bz2

BuildRoot: %{_tmppath}/gnome-games-%{PACKAGE_VERSION}-root
Icon: gnome-games-icon.xpm
Obsoletes: gnome
URL: http://www.gnome.org/
Docdir: %{prefix}/doc

Patch0: gnome-games-1.0.2-newscm.patch.bz2
Patch1: gnome-games-1.0.2-libguile5.patch.bz2

%description
GNOME is the GNU Network Object Model Environment. That's a fancy name, but
really GNOME is a nice GUI desktop environment. Its powerful, friendly and
easy-to-configure interface makes using your computer easy.

This package installs some GNOME games on your system, such as gnothello,
solitaire, tetris and others.

%package devel
Summary: GNOME games development libraries.
Group: Development/GNOME and GTK+
Icon: gnome-games-devel-icon.xpm
Requires: gnome-games = %{PACKAGE_VERSION}
Requires: gtk+-devel

%description devel
This packages installs the libraries and files needed to develop some GNOME
games.


%prep
%setup -q

#%patch0 -p1 
#%patch1 -p1

%build

tar yxvf %{SOURCE1}

perl -p -i -e "s|redhat.xpm|mdk.xpm|" xbill/pixmaps/*
perl -p -i -e "s|redhat.xpm|mdk.xpm|" xbill/cursors/*
perl -p -i -e "s|redhat|mdk|" xbill/Library.cc
rm -f xbill/pixmaps/redhat.xpm
rm -f xbill/cursors/redhat.xpm
cp %{SOURCE3} xbill/pixmaps/
cp %{SOURCE4} xbill/cursors/mdk.xpm

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--localstatedir=/var/lib --sysconfdir=/etc

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
        sysconfdir=$RPM_BUILD_ROOT/etc \
        localstatedir=$RPM_BUILD_ROOT/var/lib  \
        install

#
# lawyers are fun
#
rm -f  $RPM_BUILD_ROOT%{prefix}/bin/metatris
rm -f  $RPM_BUILD_ROOT%{prefix}/bin/gnometris
rm -f  $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games/gnometris.desktop
rm -f  $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games/metatris.desktop
rm -f  $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-metatris.png
rm -f  $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-gtetris.png
rm -rf $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnometris/
rm -f  $RPM_BUILD_ROOT/var/lib/games/gnometris.scores
rm -f  $RPM_BUILD_ROOT/var/lib/games/metatris.scores

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/lib/menu/  

tar yxvf %{SOURCE6} -C $RPM_BUILD_ROOT/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
/sbin/ldconfig
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%pre
# 1 means first time install
if [ "$1" = "1" ]; then
	[ -d /var/lib/games ] || mkdir /var/lib/games
	for i in gnibbles.1.0 gnibbles.1.1 gnibbles.2.0 gnibbles.2.1 \
		gnibbles.3.0 gnibbles.3.1 gnibbles.4.0 gnibbles.4.1 \
		gnobots.safe gnobots.unsafe gnobots2.classic_robots-safe \
		gnobots2.classic_robots gnobots2.nightmare-safe \
		gnobots2.nightmare gnobots2.robots2-safe gnobots2.robots2 \
		gnobots2.robots2_easy-safe gnobots2.robots2_easy \
		gnobots2.robots_with_safe_teleport-safe \
		gnobots2.robots_with_safe_teleport gnome-stones \
		gnomine.Biiiig gnomine.Custom gnomine.Medium gnomine.Tiny \
		gnotravex.2x2 gnotravex.3x3 gnotravex.4x4 gnotravex.5x5 \
		gnotravex.6x6 gtali iagno.b1 iagno.b2 iagno.b3 iagno.w1 \
		iagno.w2 iagno.w3 mahjongg same-gnome
	do
		touch /var/lib/games/$i.scores
		chown games.games /var/lib/games/$i.scores
		chmod 664 /var/lib/games/$i.scores
	done
	for i in `find /var/lib/games -name "*.scores" -a -empty`
	do
		echo "100.000000 `date +%s` gnome" >> $i
		echo "150.000000 `date +%s` gnome" >> $i
		echo "200.000000 `date +%s` gnome" >> $i
	done
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/GnomeScott
%{prefix}/bin/ctali
%{prefix}/bin/freecell
%{prefix}/bin/sol
%{prefix}/bin/gataxx
%{prefix}/bin/glines
%{prefix}/bin/gnome-xbill
%{prefix}/share/xbill
# these are setgid games
%attr(2555, root, games) %{prefix}/bin/gnibbles
#%attr(2111, root, games) %{prefix}/bin/gnobots
%attr(2555, root, games) %{prefix}/bin/gnobots2
%attr(2555, root, games) %{prefix}/bin/gnome-stones
%attr(2555, root, games) %{prefix}/bin/gnomine
%attr(2555, root, games) %{prefix}/bin/gnotravex
%attr(2555, root, games) %{prefix}/bin/gtali
%attr(2555, root, games) %{prefix}/bin/gturing
%attr(2555, root, games) %{prefix}/bin/iagno
%attr(2555, root, games) %{prefix}/bin/mahjongg
%attr(2555, root, games) %{prefix}/bin/same-gnome
%config /etc/sound/events/*
%{prefix}/share/gnibbles
%{prefix}/share/gnobots2
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome-stones
%{prefix}/share/gturing
%{prefix}/share/locale/*/*/*
#%{prefix}/share/metatris
%{prefix}/share/pixmaps/*
/usr/lib/menu/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm
%{prefix}/share/sol-games
%{prefix}/share/sounds/*
%{prefix}/lib/lib*.so.*
%dir %{prefix}/lib/gnome-stones
%dir %{prefix}/lib/gnome-stones/objects
%{prefix}/lib/gnome-stones/objects/lib*.so.*
%attr(664, games, games) %ghost /var/lib/games/*

%files devel
%defattr(-, root, root)
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/gnome-stones/objects/lib*.so
%{prefix}/lib/gnome-stones/objects/lib*a
%{prefix}/include/*


%changelog
* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.51-8mdk
- fixed many ugly/not-working/parties-en-live icons: gnome-xbill,
  gnomine, iagno, gataxx
- added 16x16 icons

* Tue Apr 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.51-7mdk
- added menu entries
- fixed copyright

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-6mdk
- some minor fixes
- cleanup spec
- setgid to 02555
- add ldconfig to post and postun sections

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com>
- Group
- Enable all games
- Use Mandrake logo and not RH logo
- Use %%{_tmppath} for BuildRoot

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check macro
- remove patch[01]
- 1.0.51 (sware i did this already so we use release 3mdk, just incase.)

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild against new libguile version
- got latest translations

* Sun Jul 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a nice icon
- made %ghost for score files so they aren't lost after upgrades
- cleaned %files

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merging with RedHat :
    - added new sol games and a fix for the old ones.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree
